summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2016-03-02 23:15:52 +0100
committerMichael Weber <xmw@gentoo.org>2016-03-02 23:53:10 +0100
commit63565d6603116ac6bd824cfb7870d4704fcaa59c (patch)
tree783c63ffa48977c273fd40293d5616f37f4b9645 /www-client/netsurf
parentnet-libs/libdom: Fix permissions. (diff)
downloadgentoo-63565d6603116ac6bd824cfb7870d4704fcaa59c.tar.gz
gentoo-63565d6603116ac6bd824cfb7870d4704fcaa59c.tar.bz2
gentoo-63565d6603116ac6bd824cfb7870d4704fcaa59c.zip
www-client/netsurf: Version bump.
Package-Manager: portage-2.2.27
Diffstat (limited to 'www-client/netsurf')
-rw-r--r--www-client/netsurf/Manifest2
-rw-r--r--www-client/netsurf/files/netsurf-3.4-CFLAGS.patch71
-rw-r--r--www-client/netsurf/files/netsurf-3.4-conditionally-include-image-headers.patch49
-rw-r--r--www-client/netsurf/files/netsurf-3.4-framebuffer-pkgconfig.patch30
-rw-r--r--www-client/netsurf/netsurf-3.4.ebuild160
5 files changed, 312 insertions, 0 deletions
diff --git a/www-client/netsurf/Manifest b/www-client/netsurf/Manifest
index a66925b4075..6e841e0d700 100644
--- a/www-client/netsurf/Manifest
+++ b/www-client/netsurf/Manifest
@@ -1,5 +1,7 @@
DIST netsurf-3.2-src.tar.gz 3232987 SHA256 04ffeb8335c59cbc23371b79ae3b178002e6e95c35225ef62db4b155ecc7e213 SHA512 d1ef15503bd7f59bea6a0bf41333e5da7a8657ab1cd6412b7cb9588b4d6e17908bd5f9b22e71c9e72574df9bb1aa5413a6ccd79a6bdd62ea5ff63c15876f1b60 WHIRLPOOL 98f343fefa39ab5f7f4e1d7e97305323d57bd4f0c1c97cee35e94f7d485d25b86b7012c95bfd2db88620f334ca2ce7cbe6eb4975cda7ac98a99f531bd10ed70b
DIST netsurf-3.3-src.tar.gz 3198799 SHA256 23f92a0940f577b9605f2e54786fea3521680d32d6c00f2a3db1eae3f29e3686 SHA512 5796ce007d438309ef809dbb972cafab29efce04a22912bb3318a1cd93f6cca73ddb6ab2f7916c6819f7f63378a27180b380759611a3c88bf00d705a1dd9c5a6 WHIRLPOOL fb5793a7502c27a7adf6cfdcaa029be19e7d750039f7a901b9004cb2a6ea390cd76d1e3bec0598d9986ea4c0203bbb6dabbe8d71955c30becb827753d20f5156
+DIST netsurf-3.4-src.tar.gz 4133201 SHA256 1648f437994fc18090237430f30d645ff06bab0768ae973575f9391d07613bf6 SHA512 d9f95ff88d572a36e906bdb25dddbb51aa683a2105ca9eff53ea61c154a34a888420811f8a2b58a1b5a10f77d8aa914e3201b937934243527edb8a897f7bd60e WHIRLPOOL 1c8e3d6ac8a1ecd7bfa2554d56bd6e6cbd6c025112110f596a1db551d3b18029ee2761ddb288cdbc0cd517a90a54081d9d8aca3399339160addb2aedce14a55b
DIST netsurf-buildsystem-1.2.tar.gz 38914 SHA256 3903a4a1551c9c202e1d2047344c4f3598c8d9d6c35ebf8cc2e18874bd0c9d61 SHA512 963e8a5033e8ef70595507f24fea3d9697eefb50ad7f92a6d3c913501c7026f12ec6d48f92b75e352b32f212f6216b8d8455aff25fa8d8d0fc12a3b19a875a1c WHIRLPOOL e56a520ae284089d0f36f06a6891ebb5b208ca847c74340c18581340e457c20ae9365999dc13284f438b965dcd7e85f04b93d1c1f22cadf6f7c1e2cef81d528c
DIST netsurf-buildsystem-1.3.tar.gz 37906 SHA256 10bbe95ba07476208da6047bd3c74685b6e61ba9904975b5d5c9a2c79a84ac79 SHA512 79ef3e366c4798dbb88021fd05019ba9fe50539b7482bd3d07422f4c0dbf2047b906f39a0b48deebbdf111d84d93a9364d08e5c97f91609363c27641db15e6b5 WHIRLPOOL c8131d0ffb79b208b63bef94606735968584edfff8cb24b4c83cd747c5d65c2811004626840798047ffddf84556ef7d8e23242f60d01a4a046323df3c78b0980
+DIST netsurf-buildsystem-1.5.tar.gz 38196 SHA256 dbc6afc639f6987b704e6ff4427668787ee7efba77e1bbf76b614699b5daaf71 SHA512 02d85e8f1d2101194a678f7ccf84051390953285a46951d7b327556f8df1a0c416620bd4c7a615e25de438d5d27cfffb69ec5d94eb8379a295dab4c85a96cae4 WHIRLPOOL 7b7d595a2e399b361e71769e509a129af42da5ce823f1b55183efb53898ac2ae731593eb13e1ecc2271ea26ee0948ac35bf99fea280eb72a2bb00164b4b29f09
DIST netsurf-fb.modes-example.gz 4586 SHA256 df1514790be120f27bd23dfdca71c24112679d45d3cbd3916f9231ec5e2596bb SHA512 753a707dc428212803dd64250bb723a498fdc1c328fdac4df38be533eab3af45f727cdc6b7ced3faaa0e82db182c4eab140b8e81b0d3cfe2152252b89e6d2981 WHIRLPOOL 5a91c32a712b746c993d2fa1d47625f16241e845d556b8113ab957eda7385ac5bdde5f78b0de2dad4df544c7d7c13d8145ebb9d81272af9a3759ad4e307c3767
diff --git a/www-client/netsurf/files/netsurf-3.4-CFLAGS.patch b/www-client/netsurf/files/netsurf-3.4-CFLAGS.patch
new file mode 100644
index 00000000000..2dc8a14fbeb
--- /dev/null
+++ b/www-client/netsurf/files/netsurf-3.4-CFLAGS.patch
@@ -0,0 +1,71 @@
+--- netsurf-3.4/Makefile.defaults
++++ netsurf-3.4/Makefile.defaults
+@@ -89,12 +89,6 @@
+ # Valid options: YES, NO
+ NETSURF_FS_BACKING_STORE := NO
+
+-# Initial CFLAGS. Optimisation level etc. tend to be target specific.
+-CFLAGS :=
+-
+-# Initial CXXFLAGS. Optimisation level etc. tend to be target specific.
+-CXXFLAGS :=
+-
+ # Default installation/execution prefix
+ PREFIX ?= /usr/local
+
+--- netsurf-3.4/framebuffer/Makefile.defaults
++++ netsurf-3.4/framebuffer/Makefile.defaults
+@@ -2,9 +2,6 @@
+ # Framebuffer-target-specific options
+ # ----------------------------------------------------------------------------
+
+-# Optimisation levels
+-CFLAGS += -O2
+-
+ # Framebuffer default surface provider.
+ # Valid values are: x, sdl, linux, vnc, able,
+ NETSURF_FB_FRONTEND := sdl
+--- netsurf-3.4/framebuffer/Makefile.target
++++ netsurf-3.4/framebuffer/Makefile.target
+@@ -30,7 +30,7 @@
+ CFLAGS += '-DNETSURF_FB_FONT_CURSIVE="$(NETSURF_FB_FONT_CURSIVE)"'
+ CFLAGS += '-DNETSURF_FB_FONT_FANTASY="$(NETSURF_FB_FONT_FANTASY)"'
+
+-CFLAGS += -std=c99 -g -Dsmall \
++CFLAGS += -std=c99 -Dsmall \
+ -D_BSD_SOURCE \
+ -D_DEFAULT_SOURCE \
+ -D_XOPEN_SOURCE=600 \
+--- netsurf-3.4/gtk/Makefile.defaults
++++ netsurf-3.4/gtk/Makefile.defaults
+@@ -37,6 +37,3 @@
+
+ # Set default GTK version to build for (2 or 3)
+ NETSURF_GTK_MAJOR ?= 2
+-
+-# Optimisation levels
+-CFLAGS += -O2
+--- netsurf-3.4/gtk/Makefile.target
++++ netsurf-3.4/gtk/Makefile.target
+@@ -49,7 +49,7 @@
+ endif
+
+
+-GTKCFLAGS := -std=c99 -Dgtk -Dnsgtk -g \
++GTKCFLAGS := -std=c99 -Dgtk -Dnsgtk \
+ $(GTKDEPFLAGS) \
+ -D_BSD_SOURCE \
+ -D_DEFAULT_SOURCE \
+--- netsurf-3.4/test/Makefile
++++ netsurf-3.4/test/Makefile
+@@ -45,8 +45,9 @@
+ TESTROOT := build-$(HOST)-test
+ endif
+
+-TESTCFLAGS := -std=c99 -g -Wall \
++TESTCFLAGS := -std=c99 -Wall \
+ -D_BSD_SOURCE \
++ -D_DEFAULT_SOURCE \
+ -D_POSIX_C_SOURCE=200809L \
+ -D_XOPEN_SOURCE=600 \
+ -Itest -I. -I.. \
diff --git a/www-client/netsurf/files/netsurf-3.4-conditionally-include-image-headers.patch b/www-client/netsurf/files/netsurf-3.4-conditionally-include-image-headers.patch
new file mode 100644
index 00000000000..e78d71c5794
--- /dev/null
+++ b/www-client/netsurf/files/netsurf-3.4-conditionally-include-image-headers.patch
@@ -0,0 +1,49 @@
+--- netsurf-3.4/image/image.c
++++ netsurf-3.4/image/image.c
+@@ -26,14 +26,28 @@
+ #include "desktop/gui_internal.h"
+
+ #include "image/bitmap.h"
++#ifdef WITH_BMP
+ #include "image/bmp.h"
+-#include "image/gif.h"
+ #include "image/ico.h"
++#endif
++#ifdef WITH_GIF
++#include "image/gif.h"
++#endif
++#ifdef WITH_JPEG
+ #include "image/jpeg.h"
++#endif
++#ifdef WITH_NSSPRITE
+ #include "image/nssprite.h"
++#endif
++#ifdef WITH_PNG
+ #include "image/png.h"
++#endif
++#ifdef WITH_RSVG
+ #include "image/rsvg.h"
++#endif
++#ifdef WITH_NS_SVG
+ #include "image/svg.h"
++#endif
+ #include "image/image.h"
+
+ /**
+@@ -68,6 +82,16 @@
+ if (error != NSERROR_OK)
+ return error;
+ #endif
++
++#ifdef WITH_MNG
++ error = nsmng_init();
++ if (error != NSERROR_OK)
++ return error;
++
++ error = nsjpng_init();
++ if (error != NSERROR_OK)
++ return error;
++#endif
+
+ #ifdef WITH_PNG
+ error = nspng_init();
diff --git a/www-client/netsurf/files/netsurf-3.4-framebuffer-pkgconfig.patch b/www-client/netsurf/files/netsurf-3.4-framebuffer-pkgconfig.patch
new file mode 100644
index 00000000000..31aaa0ae8ad
--- /dev/null
+++ b/www-client/netsurf/files/netsurf-3.4-framebuffer-pkgconfig.patch
@@ -0,0 +1,30 @@
+--- netsurf-3.4/framebuffer/Makefile.target
++++ netsurf-3.4/framebuffer/Makefile.target
+@@ -4,13 +4,17 @@
+
+ # define additional CFLAGS and LDFLAGS requirements for pkg-configed libs here
+ NETSURF_FEATURE_RSVG_CFLAGS := -DWITH_RSVG
++NETSURF_FEATURE_NSSVG_CFLAGS := -DWITH_NS_SVG
+ NETSURF_FEATURE_ROSPRITE_CFLAGS := -DWITH_NSSPRITE
+ NETSURF_FEATURE_HUBBUB_CFLAGS := -DWITH_HUBBUB
+ NETSURF_FEATURE_PNG_CFLAGS := -DWITH_PNG
+ NETSURF_FEATURE_BMP_CFLAGS := -DWITH_BMP
+ NETSURF_FEATURE_GIF_CFLAGS := -DWITH_GIF
++NETSURF_FEATURE_PNG_CFLAGS := -DWITH_PNG
++NETSURF_FEATURE_WEBP_CFLAGS := -DWITH_WEBP
+ NETSURF_FEATURE_JS_CFLAGS := -DWITH_JS -DJS_HAS_FILE_OBJECT=0
+ NETSURF_FEATURE_MOZJS_CFLAGS := -DWITH_MOZJS -DJS_HAS_FILE_OBJECT=0
++NETSURF_FEATURE_VIDEO_CFLAGS := -DWITH_VIDEO
+
+ CFLAGS += -Dnsframebuffer
+
+@@ -65,6 +69,9 @@
+ $(eval $(call pkg_config_find_and_add_enabled,ROSPRITE,librosprite,Sprite))
+ $(eval $(call pkg_config_find_and_add_enabled,BMP,libnsbmp,BMP))
+ $(eval $(call pkg_config_find_and_add_enabled,GIF,libnsgif,GIF))
++$(eval $(call pkg_config_find_and_add_enabled,RSVG,librsvg-2.0,SVG))
++$(eval $(call pkg_config_find_and_add_enabled,NSSVG,libsvgtiny,SVG))
++$(eval $(call feature_enabled,WEBP,-DWITH_WEBP,-lwebp,WebP (libwebp)))
+ $(eval $(call pkg_config_find_and_add_enabled,MOZJS,mozjs185,JavaScript))
+ $(eval $(call pkg_config_find_and_add_enabled,JS,mozilla-js,JavaScript))
+
diff --git a/www-client/netsurf/netsurf-3.4.ebuild b/www-client/netsurf/netsurf-3.4.ebuild
new file mode 100644
index 00000000000..de78a06e944
--- /dev/null
+++ b/www-client/netsurf/netsurf-3.4.ebuild
@@ -0,0 +1,160 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+NETSURF_COMPONENT_TYPE=binary
+NETSURF_BUILDSYSTEM=buildsystem-1.5
+inherit netsurf
+
+DESCRIPTION="a free, open source web browser"
+HOMEPAGE="http://www.netsurf-browser.org/"
+SRC_URI="http://download.netsurf-browser.org/netsurf/releases/source/${P}-src.tar.gz
+ http://xmw.de/mirror/netsurf-fb.modes-example.gz
+ ${NETSURF_BUILDSYSTEM_SRC_URI}"
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm"
+IUSE="+bmp fbcon truetype +gif gstreamer gtk javascript +jpeg +mng pdf-writer
+ +png +rosprite +svg +svgtiny +webp fbcon_frontend_able fbcon_frontend_linux
+ fbcon_frontend_sdl fbcon_frontend_vnc fbcon_frontend_x"
+
+REQUIRED_USE="|| ( fbcon gtk )
+ amd64? ( abi_x86_32? ( !javascript ) )
+ fbcon? ( ^^ ( fbcon_frontend_able fbcon_frontend_linux fbcon_frontend_sdl
+ fbcon_frontend_vnc fbcon_frontend_x ) )"
+
+RDEPEND=">=dev-libs/libnsutils-0.0.2[${MULTILIB_USEDEP}]
+ >=dev-libs/libutf8proc-1.1.6-r1[${MULTILIB_USEDEP}]
+ dev-libs/libxml2:2[${MULTILIB_USEDEP}]
+ net-misc/curl[${MULTILIB_USEDEP}]
+ >=dev-libs/libcss-0.6.0[${MULTILIB_USEDEP}]
+ >=net-libs/libhubbub-0.3.1-r1[${MULTILIB_USEDEP}]
+ >=net-libs/libdom-0.3.0[${MULTILIB_USEDEP}]
+ bmp? ( >=media-libs/libnsbmp-0.1.2-r1[${MULTILIB_USEDEP}] )
+ fbcon? ( >=dev-libs/libnsfb-0.1.3-r1[${MULTILIB_USEDEP}]
+ truetype? ( media-fonts/dejavu
+ >=media-libs/freetype-2.5.0.1[${MULTILIB_USEDEP}] )
+ )
+ gif? ( >=media-libs/libnsgif-0.1.2-r1[${MULTILIB_USEDEP}] )
+ gtk? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ gnome-base/libglade:2.0[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-2.24.23:2[${MULTILIB_USEDEP}] )
+ gstreamer? ( media-libs/gstreamer:0.10[${MULTILIB_USEDEP}] )
+ javascript? ( >=dev-libs/nsgenbind-0.1.2-r1[${MULTILIB_USEDEP}]
+ dev-lang/spidermonkey:0= )
+ jpeg? ( >=virtual/jpeg-0-r2:0[${MULTILIB_USEDEP}] )
+ mng? ( >=media-libs/libmng-1.0.10-r2[${MULTILIB_USEDEP}] )
+ pdf-writer? ( media-libs/libharu[${MULTILIB_USEDEP}] )
+ png? ( >=media-libs/libpng-1.2.51:0[${MULTILIB_USEDEP}] )
+ svg? ( svgtiny? ( >=media-libs/libsvgtiny-0.1.3-r1[${MULTILIB_USEDEP}] )
+ !svgtiny? ( gnome-base/librsvg:2[${MULTILIB_USEDEP}] ) )
+ webp? ( >=media-libs/libwebp-0.3.0[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ dev-libs/check[${MULTILIB_USEDEP}]
+ rosprite? ( >=media-libs/librosprite-0.1.2-r1[${MULTILIB_USEDEP}] )"
+
+PATCHES=( "${FILESDIR}"/${P}-CFLAGS.patch
+ "${FILESDIR}"/${P}-framebuffer-pkgconfig.patch
+ "${FILESDIR}"/${P}-conditionally-include-image-headers.patch
+ "${FILESDIR}"/${PN}-3.3-pdf-writer.patch )
+DOCS=( fb.modes README Docs/USING-Framebuffer
+ Docs/ideas/{cache,css-engine,render-library}.txt )
+
+src_prepare() {
+ rm -rf amiga atari beos cocoa monkey riscos windows || die
+
+ mv "${WORKDIR}"/netsurf-fb.modes-example fb.modes
+
+ sed -e 's:-DG_DISABLE_DEPRECATED::' \
+ -i gtk/Makefile.target || die
+
+ netsurf_src_prepare
+}
+
+src_configure() {
+ netsurf_src_configure
+
+ netsurf_makeconf+=(
+ NETSURF_USE_BMP=$(usex bmp YES NO)
+ NETSURF_USE_GIF=$(usex gif YES NO)
+ NETSURF_USE_JPEG=$(usex jpeg YES NO)
+ NETSURF_USE_PNG=$(usex png YES NO)
+ NETSURF_USE_PNG=$(usex png YES NO)
+ NETSURF_USE_MNG=$(usex mng YES NO)
+ NETSURF_USE_WEBP=$(usex webp YES NO)
+ NETSURF_USE_VIDEO=$(usex gstreamer YES NO)
+ NETSURF_USE_MOZJS=$(usex javascript YES NO)
+ NETSURF_USE_JS=NO
+ NETSURF_USE_DUKTAPE=NO
+ NETSURF_USE_HARU_PDF=$(usex pdf-writer YES NO)
+ NETSURF_USE_NSSVG=$(usex svg $(usex svgtiny YES NO) NO)
+ NETSURF_USE_RSVG=$(usex svg $(usex svgtiny NO YES) NO)
+ NETSURF_USE_ROSPRITE=$(usex rosprite YES NO)
+ PKG_CONFIG=$(tc-getPKG_CONFIG)
+ $(usex fbcon_frontend_able NETSURF_FB_FRONTEND=able "")
+ $(usex fbcon_frontend_linux NETSURF_FB_FRONTEND=linux "")
+ $(usex fbcon_frontend_sdl NETSURF_FB_FRONTEND=sdl "")
+ $(usex fbcon_frontend_vnc NETSURF_FB_FRONTEND=vnc "")
+ $(usex fbcon_frontend_x NETSURF_FB_FRONTEND=x "")
+ NETSURF_FB_FONTLIB=$(usex truetype freetype internal)
+ NETSURF_FB_FONTPATH=${EROOT}usr/share/fonts/dejavu
+ TARGET=dummy
+ )
+}
+
+src_compile() {
+ if use fbcon ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=framebuffer}" )
+ netsurf_src_compile
+ fi
+ if use gtk ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=gtk}" )
+ netsurf_src_compile
+ fi
+}
+
+src_install() {
+ sed -e '1iexit;' \
+ -i "${WORKDIR}"/*/utils/git-testament.pl || die
+
+ if use fbcon ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=framebuffer}" )
+ netsurf_src_install
+ elog "framebuffer binary has been installed as netsurf-fb"
+ pushd "${ED}"usr/bin >/dev/null || die
+ eshopts_push -s nullglob
+ # bug 552562
+ local binaries=(netsurf{,.*})
+ eshopts_pop
+ for f in "${binaries[@]}" ; do
+ mv -v $f ${f/netsurf/netsurf-fb} || die
+ make_desktop_entry "${EROOT}"usr/bin/${f/netsurf/netsurf-fb} NetSurf-framebuffer${f/netsurf} netsurf "Network;WebBrowser"
+ done
+ popd >/dev/null || die
+ elog "In order to setup the framebuffer console, netsurf needs an /etc/fb.modes"
+ elog "You can use an example from /usr/share/doc/${PF}/fb.modes.* (bug 427092)."
+ elog "Please make /dev/input/mice readable to the account using netsurf-fb."
+ elog "Either use chmod a+r /dev/input/mice (security!!!) or use an group."
+ fi
+ if use gtk ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=gtk}" )
+ netsurf_src_install
+ elog "netsurf gtk version has been installed as netsurf-gtk"
+ pushd "${ED}"usr/bin >/dev/null || die
+ eshopts_push -s nullglob
+ # bug 552562
+ local binaries=(netsurf{,.*})
+ eshopts_pop
+ for f in "${binaries[@]}" ; do
+ mv -v $f ${f/netsurf/netsurf-gtk} || die
+ make_desktop_entry "${EROOT}"usr/bin/${f/netsurf/netsurf-gtk} NetSurf-gtk${f/netsurf} netsurf "Network;WebBrowser"
+ done
+ popd >/dev/null || die
+ fi
+
+ insinto /usr/share/pixmaps
+ doins gtk/res/netsurf.xpm
+}